#pragma once

#include "Mix/Tool/Win32/Core/Object.h"
#include "Mix/Tool/Win32/Core/Reference.h"

namespace Mix{ namespace Tool{ namespace Win32{ namespace Graphics{

	class DeviceObject : public Mix::Tool::Win32::Object, public Mix::Tool::Win32::Reference
	{
	protected:
		DeviceObject( void );
		virtual ~DeviceObject( void );

	protected:
		virtual void OnInvalidate( void );
		virtual void OnValidate( void );

	public:
		virtual Mix::Tool::Win32::Object::TYPE GetType( void ) const;

		friend class Manager;
	};

}}}}
